none
HCK for Windows 8.1 Preview can not be installed Vista & XP OS? RRS feed

  • Question

  • HCK 2.0 (Build 9200) Client had no issues in installing in Vista or XP OS.

    But the latest HCK Client for Windows 8.1 Preview fails to install Vista or XP. It issues "setup.exe is not a valid Win32 application" error.

    Does it mean that the latest HCK does not support Vista or XP OS ?


    • Edited by balarishi Monday, July 1, 2013 10:36 AM corrected a typo
    Monday, July 1, 2013 10:31 AM

Answers

  • You are correct, HCK 2.1 does not support any OS older than Windows 7. This is intentional behavior.

    Paul - This posting is provided "AS IS" with no warranties, and confers no rights.

    Thursday, July 4, 2013 12:19 AM

All replies

  • Hi,

    The new Windows HCK for Windows 8.1 supports certifications for these operating systems:

    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2


    Yesubabu Gude

    Monday, July 1, 2013 11:00 AM
  • Thank you for the details.

    With the previous HCK also certification was not supported for Vista and XP.

    Refer: http://msdn.microsoft.com/en-us/library/windows/hardware/hh852378#X-201205241639123

    But still we are able to install previous HCK & test successfully in Vista & XP. Now it appears MSFT has withdrawn the support for these OS in the latest HCK.

    \\<ControllerName>\HCKInstall\Client\setup.ini reads as follows:
    RunningOnWindows7OrGreater=This product is only supported on Windows 7, Windows Server 2008 R2 and newer operating systems.

    Monday, July 1, 2013 11:31 AM
  • You are correct, HCK 2.1 does not support any OS older than Windows 7. This is intentional behavior.

    Paul - This posting is provided "AS IS" with no warranties, and confers no rights.

    Thursday, July 4, 2013 12:19 AM